| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Attributes | List of all members
wxPGPaintData Class Reference

`#include <wx/propgrid/property.h>`

## Detailed Description

Contains information relayed to property's OnCustomPaint.

## Public Attributes

const wxPropertyGrid * | m_parent
| wxPropertyGrid. More...
int | m_choiceItem
| Normally -1, otherwise index to drop-down list item that has to be drawn. More...
int | m_drawnWidth
| Set to drawn width in OnCustomPaint (optional). More...
int | m_drawnHeight
| In a measure item call, set this to the height of item at m_choiceItem index. More...

## Member Data Documentation

int wxPGPaintData::m_choiceItem

Normally -1, otherwise index to drop-down list item that has to be drawn.

int wxPGPaintData::m_drawnHeight

In a measure item call, set this to the height of item at m_choiceItem index.

int wxPGPaintData::m_drawnWidth

Set to drawn width in OnCustomPaint (optional).

const wxPropertyGrid* wxPGPaintData::m_parent

wxPropertyGrid.